Log in

Authenticate with your credentials to receive a JWT access token and refresh token.

Body·
required
application/json
  • email
    Type: stringFormat: email
    required
  • password
    Type: string
    min length:  
    1
    required
Responses
  • application/json
  • application/json
Request Example for post/auth/login
curl https://api.lira.com/api/v1/auth/login \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "you@yourcompany.com",
  "password": "your-password"
}'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyXzEyMyIsImlhdCI6MTc2MTEyMzQ1Nn0.access-token-signature",
  "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyXzEyMyIsImlhdCI6MTc2MTEyMzQ1Nn0.refresh-token-signature",
  "expiresIn": 3600,
  "tokenType": "Bearer"
}